package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag740;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT740Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag71ZCreator extends AbsTagCreate {

     private MT740Creator mt740Creator;

    public Tag71ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt740Creator= (MT740Creator) absMTCreator;
    }

    public void creator()
    {
        String tag72ZValue = mt740Creator.getSenderToReceiverInformation();
        mt740Creator.set("72Z", tag72ZValue);
    }
}
